Bug 1334226 - [Wayland] gnome-shell crashes way too often, killing all GUI applications and their process trees
Summary: [Wayland] gnome-shell crashes way too often, killing all GUI applications and...
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: All
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-05-09 08:33 UTC by Christian Stadelmann
Modified: 2019-05-04 23:09 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Christian Stadelmann 2016-05-09 08:33:39 UTC
Description of problem:
In a gnome+wayland session, every time gnome-shell or the X server crashes, the session will be killed and as a result all GUI applications including their process trees. Due to the high number of crasher bugs in gnome-shell [1] and xorg-x11-server [2], this happens quite often leading to bad user experience.

Note that on every time a GUI application or one of its child processes is killed, there is a high risk of data loss. Because of that, Gnome@Wayland is not yet ready for production. In my opinion, this is the only major blocker on intel-based systems to ship wayland as default. On such systems, I see gnome-shell crash multiple times per day which is nothing we could accept to ship.

I don't know whether this issue should be resolved by

a) making gnome-shell more solid itself, maybe splitting it up into child processes. Does the javascript part need to run in the compositor? Can't XWayland be restarted in case it crashed?

b) making gnome-shell able to get restarted without killing all GUI applications. This would get gnome-shell@Wayland en par with gnome-shell@X11.

Version-Release number of selected component (if applicable):
gnome-shell-3.20.1-1.fc24.x86_64
gtk3-3.20.3-1.fc24.x86_64
glib2-2.48.0-1.fc24.x86_64
mutter-3.20.1-1.fc24.x86_64
clutter-1.26.0-1.fc24.x86_64
gnome-session-3.20.1-1.fc24.x86_64
xorg-x11-server-Xwayland-1.18.3-2.fc24.x86_64

How reproducible:
very often, on every crash. See bugs in gnome-shell and Xwayland for ways to reproduce.

Actual results:
Gnome-shell crashes very often, killing all GUI applications. This will lead to users being frustrated because their work is gone.

Expected results:
Less crashes. No killing of user GUI applications. No data loss.

Additional info:
[1] see https://apps.fedoraproject.org/packages/gnome-shell/bugs and https://bugzilla.gnome.org/page.cgi?id=browse.html&product=gnome-shell
[2] see https://apps.fedoraproject.org/packages/xorg-x11-server/bugs

Comment 1 Christian Stadelmann 2016-05-09 08:36:28 UTC
See bug #1332055 for an example when gnome-shell crashes on circa each second screen lock.

Comment 2 Olivier Fourdan 2016-09-01 07:49:54 UTC
"gnome-shell crashes way too often" is a bit vague as a bug.

Comment 3 Fedora End Of Life 2017-07-25 20:42:14 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Javier Alejandro Castro 2017-07-28 18:42:24 UTC
I'm having there same simptoms, but now i'm on Xorg (not wayland). 

Now the gnome-shell crashes, but the session is still open and just gnome-shell is restarted, as Christian proposses.

Also, on my case, this thing begun bothering me after migrating to F26: i didnt have any of this crashes on F25.

Comment 5 Fedora End Of Life 2018-05-03 08:17:48 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-02 21:43:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Christian Stadelmann 2019-05-04 23:09:24 UTC
This core wayland/gnome-shell architecture issue is still present.


Note You need to log in before you can comment on or make changes to this bug.